searchNodes=[{"ref":"GoogleApi.Manufacturers.V1.Api.Accounts.html","title":"GoogleApi.Manufacturers.V1.Api.Accounts","module":"GoogleApi.Manufacturers.V1.Api.Accounts","type":"module","doc":"API calls for all endpoints tagged Accounts."},{"ref":"GoogleApi.Manufacturers.V1.Api.Accounts.html#manufacturers_accounts_products_delete/5","title":"GoogleApi.Manufacturers.V1.Api.Accounts.manufacturers_accounts_products_delete/5","module":"GoogleApi.Manufacturers.V1.Api.Accounts","type":"function","doc":"Deletes the product from a Manufacturer Center account. Parameters connection (GoogleApi.Manufacturers.V1.Connection): Connection to server parent (String.t): Parent ID in the format &#x60;accounts/{account_id}&#x60;. &#x60;account_id&#x60; - The ID of the Manufacturer Center account. name (String.t): Name in the format &#x60;{target_country}:{content_language}:{product_id}&#x60;. &#x60;target_country&#x60; - The target country of the product as a CLDR territory code (for example, US). &#x60;content_language&#x60; - The content language of the product as a two-letter ISO 639-1 language code (for example, en). &#x60;product_id&#x60; - The ID of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#id. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). Returns {:ok, %GoogleApi.Manufacturers.V1.Model.Empty{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Manufacturers.V1.Api.Accounts.html#manufacturers_accounts_products_get/5","title":"GoogleApi.Manufacturers.V1.Api.Accounts.manufacturers_accounts_products_get/5","module":"GoogleApi.Manufacturers.V1.Api.Accounts","type":"function","doc":"Gets the product from a Manufacturer Center account, including product issues. A recently updated product takes around 15 minutes to process. Changes are only visible after it has been processed. While some issues may be available once the product has been processed, other issues may take days to appear. Parameters connection (GoogleApi.Manufacturers.V1.Connection): Connection to server parent (String.t): Parent ID in the format &#x60;accounts/{account_id}&#x60;. &#x60;account_id&#x60; - The ID of the Manufacturer Center account. name (String.t): Name in the format &#x60;{target_country}:{content_language}:{product_id}&#x60;. &#x60;target_country&#x60; - The target country of the product as a CLDR territory code (for example, US). &#x60;content_language&#x60; - The content language of the product as a two-letter ISO 639-1 language code (for example, en). &#x60;product_id&#x60; - The ID of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#id. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :include ([String.t]): The information to be included in the response. Only sections listed here will be returned. Returns {:ok, %GoogleApi.Manufacturers.V1.Model.Product{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Manufacturers.V1.Api.Accounts.html#manufacturers_accounts_products_list/4","title":"GoogleApi.Manufacturers.V1.Api.Accounts.manufacturers_accounts_products_list/4","module":"GoogleApi.Manufacturers.V1.Api.Accounts","type":"function","doc":"Lists all the products in a Manufacturer Center account. Parameters connection (GoogleApi.Manufacturers.V1.Connection): Connection to server parent (String.t): Parent ID in the format &#x60;accounts/{account_id}&#x60;. &#x60;account_id&#x60; - The ID of the Manufacturer Center account. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :include ([String.t]): The information to be included in the response. Only sections listed here will be returned. :pageSize (integer()): Maximum number of product statuses to return in the response, used for paging. :pageToken (String.t): The token returned by the previous request. Returns {:ok, %GoogleApi.Manufacturers.V1.Model.ListProductsResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Manufacturers.V1.Api.Accounts.html#manufacturers_accounts_products_update/5","title":"GoogleApi.Manufacturers.V1.Api.Accounts.manufacturers_accounts_products_update/5","module":"GoogleApi.Manufacturers.V1.Api.Accounts","type":"function","doc":"Inserts or updates the attributes of the product in a Manufacturer Center account. Creates a product with the provided attributes. If the product already exists, then all attributes are replaced with the new ones. The checks at upload time are minimal. All required attributes need to be present for a product to be valid. Issues may show up later after the API has accepted a new upload for a product and it is possible to overwrite an existing valid product with an invalid product. To detect this, you should retrieve the product and check it for issues once the new version is available. Uploaded attributes first need to be processed before they can be retrieved. Until then, new products will be unavailable, and retrieval of previously uploaded products will return the original state of the product. Parameters connection (GoogleApi.Manufacturers.V1.Connection): Connection to server parent (String.t): Parent ID in the format &#x60;accounts/{account_id}&#x60;. &#x60;account_id&#x60; - The ID of the Manufacturer Center account. name (String.t): Name in the format &#x60;{target_country}:{content_language}:{product_id}&#x60;. &#x60;target_country&#x60; - The target country of the product as a CLDR territory code (for example, US). &#x60;content_language&#x60; - The content language of the product as a two-letter ISO 639-1 language code (for example, en). &#x60;product_id&#x60; - The ID of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#id. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (Attributes): Returns {:ok, %GoogleApi.Manufacturers.V1.Model.Empty{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Manufacturers.V1.Connection.html","title":"GoogleApi.Manufacturers.V1.Connection","module":"GoogleApi.Manufacturers.V1.Connection","type":"module","doc":"Handle Tesla connections for GoogleApi.Manufacturers.V1."},{"ref":"GoogleApi.Manufacturers.V1.Connection.html#delete/3","title":"GoogleApi.Manufacturers.V1.Connection.delete/3","module":"GoogleApi.Manufacturers.V1.Connection","type":"function","doc":"Perform a DELETE request. See request/1 or request/2 for options definition. delete(&quot;/users&quot;) delete(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete(client, &quot;/users&quot;) delete(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Manufacturers.V1.Connection.html#delete!/3","title":"GoogleApi.Manufacturers.V1.Connection.delete!/3","module":"GoogleApi.Manufacturers.V1.Connection","type":"function","doc":"Perform a DELETE request. See request!/1 or request!/2 for options definition. delete!(&quot;/users&quot;) delete!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete!(client, &quot;/users&quot;) delete!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Manufacturers.V1.Connection.html#execute/2","title":"GoogleApi.Manufacturers.V1.Connection.execute/2","module":"GoogleApi.Manufacturers.V1.Connection","type":"function","doc":"Execute a request on this connection Returns Tesla.Env"},{"ref":"GoogleApi.Manufacturers.V1.Connection.html#get/3","title":"GoogleApi.Manufacturers.V1.Connection.get/3","module":"GoogleApi.Manufacturers.V1.Connection","type":"function","doc":"Perform a GET request. See request/1 or request/2 for options definition. get(&quot;/users&quot;) get(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get(client, &quot;/users&quot;) get(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Manufacturers.V1.Connection.html#get!/3","title":"GoogleApi.Manufacturers.V1.Connection.get!/3","module":"GoogleApi.Manufacturers.V1.Connection","type":"function","doc":"Perform a GET request. See request!/1 or request!/2 for options definition. get!(&quot;/users&quot;) get!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get!(client, &quot;/users&quot;) get!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Manufacturers.V1.Connection.html#head/3","title":"GoogleApi.Manufacturers.V1.Connection.head/3","module":"GoogleApi.Manufacturers.V1.Connection","type":"function","doc":"Perform a HEAD request. See request/1 or request/2 for options definition. head(&quot;/users&quot;) head(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head(client, &quot;/users&quot;) head(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Manufacturers.V1.Connection.html#head!/3","title":"GoogleApi.Manufacturers.V1.Connection.head!/3","module":"GoogleApi.Manufacturers.V1.Connection","type":"function","doc":"Perform a HEAD request. See request!/1 or request!/2 for options definition. head!(&quot;/users&quot;) head!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head!(client, &quot;/users&quot;) head!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Manufacturers.V1.Connection.html#new/0","title":"GoogleApi.Manufacturers.V1.Connection.new/0","module":"GoogleApi.Manufacturers.V1.Connection","type":"function","doc":"Configure an authless client connection Returns Tesla.Client.t"},{"ref":"GoogleApi.Manufacturers.V1.Connection.html#new/1","title":"GoogleApi.Manufacturers.V1.Connection.new/1","module":"GoogleApi.Manufacturers.V1.Connection","type":"function","doc":"Configure a client connection using a function which yields a Bearer token. Parameters token_fetcher (function arity of 1): Callback which provides an OAuth2 token given a list of scopes Returns Tesla.Env.client"},{"ref":"GoogleApi.Manufacturers.V1.Connection.html#options/3","title":"GoogleApi.Manufacturers.V1.Connection.options/3","module":"GoogleApi.Manufacturers.V1.Connection","type":"function","doc":"Perform a OPTIONS request. See request/1 or request/2 for options definition. options(&quot;/users&quot;) options(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options(client, &quot;/users&quot;) options(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Manufacturers.V1.Connection.html#options!/3","title":"GoogleApi.Manufacturers.V1.Connection.options!/3","module":"GoogleApi.Manufacturers.V1.Connection","type":"function","doc":"Perform a OPTIONS request. See request!/1 or request!/2 for options definition. options!(&quot;/users&quot;) options!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options!(client, &quot;/users&quot;) options!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Manufacturers.V1.Connection.html#patch/4","title":"GoogleApi.Manufacturers.V1.Connection.patch/4","module":"GoogleApi.Manufacturers.V1.Connection","type":"function","doc":"Perform a PATCH request. See request/1 or request/2 for options definition. patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Manufacturers.V1.Connection.html#patch!/4","title":"GoogleApi.Manufacturers.V1.Connection.patch!/4","module":"GoogleApi.Manufacturers.V1.Connection","type":"function","doc":"Perform a PATCH request. See request!/1 or request!/2 for options definition. patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Manufacturers.V1.Connection.html#post/4","title":"GoogleApi.Manufacturers.V1.Connection.post/4","module":"GoogleApi.Manufacturers.V1.Connection","type":"function","doc":"Perform a POST request. See request/1 or request/2 for options definition. post(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Manufacturers.V1.Connection.html#post!/4","title":"GoogleApi.Manufacturers.V1.Connection.post!/4","module":"GoogleApi.Manufacturers.V1.Connection","type":"function","doc":"Perform a POST request. See request!/1 or request!/2 for options definition. post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Manufacturers.V1.Connection.html#put/4","title":"GoogleApi.Manufacturers.V1.Connection.put/4","module":"GoogleApi.Manufacturers.V1.Connection","type":"function","doc":"Perform a PUT request. See request/1 or request/2 for options definition. put(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Manufacturers.V1.Connection.html#put!/4","title":"GoogleApi.Manufacturers.V1.Connection.put!/4","module":"GoogleApi.Manufacturers.V1.Connection","type":"function","doc":"Perform a PUT request. See request!/1 or request!/2 for options definition. put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Manufacturers.V1.Connection.html#request/2","title":"GoogleApi.Manufacturers.V1.Connection.request/2","module":"GoogleApi.Manufacturers.V1.Connection","type":"function","doc":"Perform a request Options: :method - the request method, one of [:head, :get, :delete, :trace, :options, :post, :put, :patch] :url - either full url e.g. &quot;http://example.com/some/path&quot; or just &quot;/some/path&quot; if using Tesla.Middleware.BaseUrl :query - a keyword list of query params, e.g. [page: 1, per_page: 100] :headers - a keyworld list of headers, e.g. [{&quot;content-type&quot;, &quot;text/plain&quot;}] :body - depends on used middleware: by default it can be a binary if using e.g. JSON encoding middleware it can be a nested map if adapter supports it it can be a Stream with any of the above :opts - custom, per-request middleware or adapter options Examples: ExampleApi.request(method: :get, url: &quot;/users/path&quot;) You can also use shortcut methods like: ExampleApi.get(&quot;/users/1&quot;) or ExampleApi.post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;})"},{"ref":"GoogleApi.Manufacturers.V1.Connection.html#request!/2","title":"GoogleApi.Manufacturers.V1.Connection.request!/2","module":"GoogleApi.Manufacturers.V1.Connection","type":"function","doc":"Perform request and raise in case of error. This is similar to request/2 behaviour from Tesla 0.x See request/2 for list of available options."},{"ref":"GoogleApi.Manufacturers.V1.Connection.html#trace/3","title":"GoogleApi.Manufacturers.V1.Connection.trace/3","module":"GoogleApi.Manufacturers.V1.Connection","type":"function","doc":"Perform a TRACE request. See request/1 or request/2 for options definition. trace(&quot;/users&quot;) trace(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace(client, &quot;/users&quot;) trace(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Manufacturers.V1.Connection.html#trace!/3","title":"GoogleApi.Manufacturers.V1.Connection.trace!/3","module":"GoogleApi.Manufacturers.V1.Connection","type":"function","doc":"Perform a TRACE request. See request!/1 or request!/2 for options definition. trace!(&quot;/users&quot;) trace!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace!(client, &quot;/users&quot;) trace!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Manufacturers.V1.Connection.html#t:option/0","title":"GoogleApi.Manufacturers.V1.Connection.option/0","module":"GoogleApi.Manufacturers.V1.Connection","type":"type","doc":""},{"ref":"GoogleApi.Manufacturers.V1.Deserializer.html","title":"GoogleApi.Manufacturers.V1.Deserializer","module":"GoogleApi.Manufacturers.V1.Deserializer","type":"module","doc":"Helper functions for deserializing responses into models. This module is no longer used. Please use GoogleApi.Gax.ModelBase instead."},{"ref":"GoogleApi.Manufacturers.V1.Model.Attributes.html","title":"GoogleApi.Manufacturers.V1.Model.Attributes","module":"GoogleApi.Manufacturers.V1.Model.Attributes","type":"module","doc":"Attributes of the product. For more information, see https://support.google.com/manufacturers/answer/6124116. Attributes additionalImageLink ([Image]): The additional images of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#addlimage. Defaults to: null. ageGroup (String.t): The target age group of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#agegroup. Defaults to: null. brand (String.t): The brand name of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#brand. Defaults to: null. capacity (Capacity): The capacity of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#capacity. Defaults to: null. color (String.t): The color of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#color. Defaults to: null. count (Count): The count of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#count. Defaults to: null. description (String.t): The description of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#description. Defaults to: null. disclosureDate (String.t): The disclosure date of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#disclosure. Defaults to: null. excludedDestination ([String.t]): A list of excluded destinations. Defaults to: null. featureDescription ([FeatureDescription]): The rich format description of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#featuredesc. Defaults to: null. flavor (String.t): The flavor of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#flavor. Defaults to: null. format (String.t): The format of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#format. Defaults to: null. gender (String.t): The target gender of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#gender. Defaults to: null. gtin ([String.t]): The Global Trade Item Number (GTIN) of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#gtin. Defaults to: null. imageLink (Image): The image of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#image. Defaults to: null. includedDestination ([String.t]): A list of included destinations. Defaults to: null. itemGroupId (String.t): The item group id of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#itemgroupid. Defaults to: null. material (String.t): The material of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#material. Defaults to: null. mpn (String.t): The Manufacturer Part Number (MPN) of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#mpn. Defaults to: null. pattern (String.t): The pattern of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#pattern. Defaults to: null. productDetail ([ProductDetail]): The details of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#productdetail. Defaults to: null. productLine (String.t): The name of the group of products related to the product. For more information, see https://support.google.com/manufacturers/answer/6124116#productline. Defaults to: null. productName (String.t): The canonical name of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#productname. Defaults to: null. productPageUrl (String.t): The URL of the detail page of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#productpage. Defaults to: null. productType ([String.t]): The type or category of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#producttype. Defaults to: null. releaseDate (String.t): The release date of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#release. Defaults to: null. scent (String.t): The scent of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#scent. Defaults to: null. size (String.t): The size of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#size. Defaults to: null. sizeSystem (String.t): The size system of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#sizesystem. Defaults to: null. sizeType (String.t): The size type of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#sizetype. Defaults to: null. suggestedRetailPrice (Price): The suggested retail price (MSRP) of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#price. Defaults to: null. targetClientId (String.t): The target client id. Should only be used in the accounts of the data partners. Defaults to: null. theme (String.t): The theme of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#theme. Defaults to: null. title (String.t): The title of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#title. Defaults to: null. videoLink ([String.t]): The videos of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#video. Defaults to: null."},{"ref":"GoogleApi.Manufacturers.V1.Model.Attributes.html#decode/2","title":"GoogleApi.Manufacturers.V1.Model.Attributes.decode/2","module":"GoogleApi.Manufacturers.V1.Model.Attributes","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Manufacturers.V1.Model.Attributes.html#t:t/0","title":"GoogleApi.Manufacturers.V1.Model.Attributes.t/0","module":"GoogleApi.Manufacturers.V1.Model.Attributes","type":"type","doc":""},{"ref":"GoogleApi.Manufacturers.V1.Model.Capacity.html","title":"GoogleApi.Manufacturers.V1.Model.Capacity","module":"GoogleApi.Manufacturers.V1.Model.Capacity","type":"module","doc":"The capacity of a product. For more information, see https://support.google.com/manufacturers/answer/6124116#capacity. Attributes unit (String.t): The unit of the capacity, i.e., MB, GB, or TB. Defaults to: null. value (String.t): The numeric value of the capacity. Defaults to: null."},{"ref":"GoogleApi.Manufacturers.V1.Model.Capacity.html#decode/2","title":"GoogleApi.Manufacturers.V1.Model.Capacity.decode/2","module":"GoogleApi.Manufacturers.V1.Model.Capacity","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Manufacturers.V1.Model.Capacity.html#t:t/0","title":"GoogleApi.Manufacturers.V1.Model.Capacity.t/0","module":"GoogleApi.Manufacturers.V1.Model.Capacity","type":"type","doc":""},{"ref":"GoogleApi.Manufacturers.V1.Model.Count.html","title":"GoogleApi.Manufacturers.V1.Model.Count","module":"GoogleApi.Manufacturers.V1.Model.Count","type":"module","doc":"The number of products in a single package. For more information, see https://support.google.com/manufacturers/answer/6124116#count. Attributes unit (String.t): The unit in which these products are counted. Defaults to: null. value (String.t): The numeric value of the number of products in a package. Defaults to: null."},{"ref":"GoogleApi.Manufacturers.V1.Model.Count.html#decode/2","title":"GoogleApi.Manufacturers.V1.Model.Count.decode/2","module":"GoogleApi.Manufacturers.V1.Model.Count","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Manufacturers.V1.Model.Count.html#t:t/0","title":"GoogleApi.Manufacturers.V1.Model.Count.t/0","module":"GoogleApi.Manufacturers.V1.Model.Count","type":"type","doc":""},{"ref":"GoogleApi.Manufacturers.V1.Model.DestinationStatus.html","title":"GoogleApi.Manufacturers.V1.Model.DestinationStatus","module":"GoogleApi.Manufacturers.V1.Model.DestinationStatus","type":"module","doc":"The destination status. Attributes destination (String.t): The name of the destination. Defaults to: null. status (String.t): The status of the destination. Defaults to: null. Enum - one of [UNKNOWN, ACTIVE, PENDING, DISAPPROVED]"},{"ref":"GoogleApi.Manufacturers.V1.Model.DestinationStatus.html#decode/2","title":"GoogleApi.Manufacturers.V1.Model.DestinationStatus.decode/2","module":"GoogleApi.Manufacturers.V1.Model.DestinationStatus","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Manufacturers.V1.Model.DestinationStatus.html#t:t/0","title":"GoogleApi.Manufacturers.V1.Model.DestinationStatus.t/0","module":"GoogleApi.Manufacturers.V1.Model.DestinationStatus","type":"type","doc":""},{"ref":"GoogleApi.Manufacturers.V1.Model.Empty.html","title":"GoogleApi.Manufacturers.V1.Model.Empty","module":"GoogleApi.Manufacturers.V1.Model.Empty","type":"module","doc":"A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); } The JSON representation for &#x60;Empty&#x60; is empty JSON object &#x60;{}&#x60;. Attributes"},{"ref":"GoogleApi.Manufacturers.V1.Model.Empty.html#decode/2","title":"GoogleApi.Manufacturers.V1.Model.Empty.decode/2","module":"GoogleApi.Manufacturers.V1.Model.Empty","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Manufacturers.V1.Model.Empty.html#t:t/0","title":"GoogleApi.Manufacturers.V1.Model.Empty.t/0","module":"GoogleApi.Manufacturers.V1.Model.Empty","type":"type","doc":""},{"ref":"GoogleApi.Manufacturers.V1.Model.FeatureDescription.html","title":"GoogleApi.Manufacturers.V1.Model.FeatureDescription","module":"GoogleApi.Manufacturers.V1.Model.FeatureDescription","type":"module","doc":"A feature description of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#featuredesc. Attributes headline (String.t): A short description of the feature. Defaults to: null. image (Image): An optional image describing the feature. Defaults to: null. text (String.t): A detailed description of the feature. Defaults to: null."},{"ref":"GoogleApi.Manufacturers.V1.Model.FeatureDescription.html#decode/2","title":"GoogleApi.Manufacturers.V1.Model.FeatureDescription.decode/2","module":"GoogleApi.Manufacturers.V1.Model.FeatureDescription","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Manufacturers.V1.Model.FeatureDescription.html#t:t/0","title":"GoogleApi.Manufacturers.V1.Model.FeatureDescription.t/0","module":"GoogleApi.Manufacturers.V1.Model.FeatureDescription","type":"type","doc":""},{"ref":"GoogleApi.Manufacturers.V1.Model.Image.html","title":"GoogleApi.Manufacturers.V1.Model.Image","module":"GoogleApi.Manufacturers.V1.Model.Image","type":"module","doc":"An image. Attributes imageUrl (String.t): The URL of the image. For crawled images, this is the provided URL. For uploaded images, this is a serving URL from Google if the image has been processed successfully. Defaults to: null. status (String.t): The status of the image. @OutputOnly Defaults to: null. Enum - one of [STATUS_UNSPECIFIED, PENDING_PROCESSING, PENDING_CRAWL, OK, ROBOTED, XROBOTED, CRAWL_ERROR, PROCESSING_ERROR, DECODING_ERROR, TOO_BIG, CRAWL_SKIPPED, HOSTLOADED, HTTP_404] type (String.t): The type of the image, i.e., crawled or uploaded. @OutputOnly Defaults to: null. Enum - one of [TYPE_UNSPECIFIED, CRAWLED, UPLOADED]"},{"ref":"GoogleApi.Manufacturers.V1.Model.Image.html#decode/2","title":"GoogleApi.Manufacturers.V1.Model.Image.decode/2","module":"GoogleApi.Manufacturers.V1.Model.Image","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Manufacturers.V1.Model.Image.html#t:t/0","title":"GoogleApi.Manufacturers.V1.Model.Image.t/0","module":"GoogleApi.Manufacturers.V1.Model.Image","type":"type","doc":""},{"ref":"GoogleApi.Manufacturers.V1.Model.Issue.html","title":"GoogleApi.Manufacturers.V1.Model.Issue","module":"GoogleApi.Manufacturers.V1.Model.Issue","type":"module","doc":"Product issue. Attributes attribute (String.t): If present, the attribute that triggered the issue. For more information about attributes, see https://support.google.com/manufacturers/answer/6124116. Defaults to: null. description (String.t): Longer description of the issue focused on how to resolve it. Defaults to: null. destination (String.t): The destination this issue applies to. Defaults to: null. resolution (String.t): What needs to happen to resolve the issue. Defaults to: null. Enum - one of [RESOLUTION_UNSPECIFIED, USER_ACTION, PENDING_PROCESSING] severity (String.t): The severity of the issue. Defaults to: null. Enum - one of [SEVERITY_UNSPECIFIED, ERROR, WARNING, INFO] timestamp (DateTime.t): The timestamp when this issue appeared. Defaults to: null. title (String.t): Short title describing the nature of the issue. Defaults to: null. type (String.t): The server-generated type of the issue, for example, “INCORRECT_TEXT_FORMATTING”, “IMAGE_NOT_SERVEABLE”, etc. Defaults to: null."},{"ref":"GoogleApi.Manufacturers.V1.Model.Issue.html#decode/2","title":"GoogleApi.Manufacturers.V1.Model.Issue.decode/2","module":"GoogleApi.Manufacturers.V1.Model.Issue","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Manufacturers.V1.Model.Issue.html#t:t/0","title":"GoogleApi.Manufacturers.V1.Model.Issue.t/0","module":"GoogleApi.Manufacturers.V1.Model.Issue","type":"type","doc":""},{"ref":"GoogleApi.Manufacturers.V1.Model.ListProductsResponse.html","title":"GoogleApi.Manufacturers.V1.Model.ListProductsResponse","module":"GoogleApi.Manufacturers.V1.Model.ListProductsResponse","type":"module","doc":"Attributes nextPageToken (String.t): The token for the retrieval of the next page of product statuses. Defaults to: null. products ([Product]): List of the products. Defaults to: null."},{"ref":"GoogleApi.Manufacturers.V1.Model.ListProductsResponse.html#decode/2","title":"GoogleApi.Manufacturers.V1.Model.ListProductsResponse.decode/2","module":"GoogleApi.Manufacturers.V1.Model.ListProductsResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Manufacturers.V1.Model.ListProductsResponse.html#t:t/0","title":"GoogleApi.Manufacturers.V1.Model.ListProductsResponse.t/0","module":"GoogleApi.Manufacturers.V1.Model.ListProductsResponse","type":"type","doc":""},{"ref":"GoogleApi.Manufacturers.V1.Model.Price.html","title":"GoogleApi.Manufacturers.V1.Model.Price","module":"GoogleApi.Manufacturers.V1.Model.Price","type":"module","doc":"A price. Attributes amount (String.t): The numeric value of the price. Defaults to: null. currency (String.t): The currency in which the price is denoted. Defaults to: null."},{"ref":"GoogleApi.Manufacturers.V1.Model.Price.html#decode/2","title":"GoogleApi.Manufacturers.V1.Model.Price.decode/2","module":"GoogleApi.Manufacturers.V1.Model.Price","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Manufacturers.V1.Model.Price.html#t:t/0","title":"GoogleApi.Manufacturers.V1.Model.Price.t/0","module":"GoogleApi.Manufacturers.V1.Model.Price","type":"type","doc":""},{"ref":"GoogleApi.Manufacturers.V1.Model.Product.html","title":"GoogleApi.Manufacturers.V1.Model.Product","module":"GoogleApi.Manufacturers.V1.Model.Product","type":"module","doc":"Product data. Attributes attributes (Attributes): Attributes of the product uploaded to the Manufacturer Center. Manually edited attributes are taken into account. Defaults to: null. contentLanguage (String.t): The content language of the product as a two-letter ISO 639-1 language code (for example, en). Defaults to: null. destinationStatuses ([DestinationStatus]): The status of the destinations. Defaults to: null. issues ([Issue]): A server-generated list of issues associated with the product. Defaults to: null. name (String.t): Name in the format &#x60;{target_country}:{content_language}:{product_id}&#x60;. &#x60;target_country&#x60; - The target country of the product as a CLDR territory code (for example, US). &#x60;content_language&#x60; - The content language of the product as a two-letter ISO 639-1 language code (for example, en). &#x60;product_id&#x60; - The ID of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#id. Defaults to: null. parent (String.t): Parent ID in the format &#x60;accounts/{account_id}&#x60;. &#x60;account_id&#x60; - The ID of the Manufacturer Center account. Defaults to: null. productId (String.t): The ID of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#id. Defaults to: null. targetCountry (String.t): The target country of the product as a CLDR territory code (for example, US). Defaults to: null."},{"ref":"GoogleApi.Manufacturers.V1.Model.Product.html#decode/2","title":"GoogleApi.Manufacturers.V1.Model.Product.decode/2","module":"GoogleApi.Manufacturers.V1.Model.Product","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Manufacturers.V1.Model.Product.html#t:t/0","title":"GoogleApi.Manufacturers.V1.Model.Product.t/0","module":"GoogleApi.Manufacturers.V1.Model.Product","type":"type","doc":""},{"ref":"GoogleApi.Manufacturers.V1.Model.ProductDetail.html","title":"GoogleApi.Manufacturers.V1.Model.ProductDetail","module":"GoogleApi.Manufacturers.V1.Model.ProductDetail","type":"module","doc":"A product detail of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#productdetail. Attributes attributeName (String.t): The name of the attribute. Defaults to: null. attributeValue (String.t): The value of the attribute. Defaults to: null. sectionName (String.t): A short section name that can be reused between multiple product details. Defaults to: null."},{"ref":"GoogleApi.Manufacturers.V1.Model.ProductDetail.html#decode/2","title":"GoogleApi.Manufacturers.V1.Model.ProductDetail.decode/2","module":"GoogleApi.Manufacturers.V1.Model.ProductDetail","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Manufacturers.V1.Model.ProductDetail.html#t:t/0","title":"GoogleApi.Manufacturers.V1.Model.ProductDetail.t/0","module":"GoogleApi.Manufacturers.V1.Model.ProductDetail","type":"type","doc":""},{"ref":"GoogleApi.Manufacturers.V1.RequestBuilder.html","title":"GoogleApi.Manufacturers.V1.RequestBuilder","module":"GoogleApi.Manufacturers.V1.RequestBuilder","type":"module","doc":"Helper functions for building Tesla requests. This module is no longer used. Please use GoogleApi.Gax.Request instead."}]